<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://example.com
 * @since             1.0.0
 * @package           Sharekayak_Kayak_Booking
 *
 * @wordpress-plugin
 * Plugin Name:       Sharekayak Booking
 * Description:       book a kayak from your website from anywhere just install and active plugin and add your operator url.
 * Version:           0.1
 * Author:            Sharekayak
 * Author URI:        https://www.sharekayak.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       sharekayak-kayak-booking
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'SHAREKAYAK_KAYAK_BOOKING_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-sharekayak-kayak-booking-activator.php
 */
function activate_sharekayak_kayak_booking() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-sharekayak-kayak-booking-activator.php';
	Sharekayak_Kayak_Booking_Activator::activate();

	if (get_option('my_plugin_installed') == '1') {
		delete_option('iframe_url');
    }
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-sharekayak-kayak-booking-deactivator.php
 */
function deactivate_sharekayak_kayak_booking() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-sharekayak-kayak-booking-deactivator.php';
	Sharekayak_Kayak_Booking_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_sharekayak_kayak_booking' );
register_deactivation_hook( __FILE__, 'deactivate_sharekayak_kayak_booking' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-sharekayak-kayak-booking.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_sharekayak_kayak_booking() {

	$plugin = new Sharekayak_Kayak_Booking();
	$plugin->run();

}
run_sharekayak_kayak_booking();
